 /*----------------------------------------------------------------------------
 *      Name:    helpCmds.c
 *      Purpose: Help Commands
 * 
 *	Help Commands  the default help commands shall be stored as part of the code 
 *	image, and can also be updated and stored in EEPROM. If the help commands 
 *	are properly stored in EEPROM, then they shall be used to display help 
 *	information.     
 *----------------------------------------------------------------------------
 *
 *
 *
 *      Copyright (c) 2008 SoftwareFlair Inc.
 *---------------------------------------------------------------------------*/
#include "type.h"
#include "system.h"

#define MAX_HELP_CMD_SIZE	80

typedef struct {
	char cmd[MAX_HELP_CMD_SIZE];
} VORTRAN_HELP_CMDS;

VORTRAN_HELP_CMDS vortHelpCmds[] = {
	{"LP"},
	{"C"},
	{"LC"},
	{"EPC"},
	{"DELAY"},
	{"VOBTS"},
	{"TEC"},
	{"ECHO"},
	{"PROMPT"},
	{"?BPT"},
	{"?LC"},
	{"?OBTS"},
	{"?OBT"},
	{"?FC"},
	{"?FD"},
	{"?LH"},
	{"?LI"},
	{"?FP"},
	{"?LPS",},
	{"?LP"},
	{"?FV"},
	{"?CC"},
	{"?MAXP"},
	{"?RP"},
	{"?LW"},
	{"?IL"},
	{""}					// DO NOT MOVE/REMOVE!!	END OF COMMANDS!!

};

void helpCmdsInit(void)
{
	// are the Help commands in EEPROM?

	// yes, use EEPROm values, copy to RAM area.

	// No, use default Help commands in flash

}

void saveHelpCmdsToEeprom(void)
{

}

void getHelpCmdsFromEeprom(void)
{
 
} 

void displayHelpCmds(void)
{
	uchar myCnt = 0;

	while(vortHelpCmds[myCnt].cmd[0] != 0)
		; 	
} 
