/*----------------------------------------------------------------------------
 *      Name:    vic.c
 *      Purpose: Vectored Interrupt Controller Default Interrupt
 *
 *----------------------------------------------------------------------------
 *
 *
 *			  Handler for spurious interrupts as a precaution (Default Interupt Vector)
 *            See NXP APP Note 10414 "Handling of spurious interrupts in the LPC2000"
 *      
 *---------------------------------------------------------------------------*/
 #include <LPC214X.H>                        /* LPC214x definitions */


void Default_ISR (void) __irq
{		  
	VICVectAddr = 0;                 /* Acknowledge Interrupt */	   
}

/*
 *  Default Handler Initialize Function
 *    Return Value:    None
 */
void vicDefInit(void)
{
  VICDefVectAddr=(unsigned long)Default_ISR;
}

