/*----------------------------------------------------------------------------
 *      Name:    delay.c
 *      Purpose: delay for testing
 *
 *	Delay for a specified amount of time.      
 *----------------------------------------------------------------------------
 *
 *
 *
 *      Copyright (c) 2008 SoftwareFlair Inc.
 *---------------------------------------------------------------------------*/

#include "system.h"

// Calibrated using a 16MHz clock
void delayMs(ushort myDelay)
{
 	// FRG TODO: Fix later, use timer?
	static ulong myLong = 2;
	static ulong myCnt;
	static float myFloat = 1.5;

	while(myDelay--)
	{
		for(myCnt = 0; myCnt < 167; myCnt++)
		{	
			myFloat *= myLong + myFloat;
		}
	}

}

// Needs to be Calibrated using a 16MHz clock
void DelayUs(ushort myDelay)
{
 	// FRG TODO: Fix later, use timer?
	static ulong myCnt;
	static float myFloat = 1.5;

	delayMs(5);	// debug!!! Remove later

	while(myDelay--)
	{
		for(myCnt = 0; myCnt < 2; myCnt++)	
			myFloat *= myFloat;
	}

}
