//
//						interruptCtrl.c
//
//	API for enabling/disabling all interrupts in supervisor mode
//
//	(C) SoftwareFlair Inc. 2008
//
#include <LPC214X.H>                        /* LPC214x definitions */
#include "system.h"

/*
 * Software Interrupt Function accept parameters and run in
 * Supervisor Mode (Interrupt protected)
 */


void __swi(0) allInterruptsOn (void);
void __SWI_0      (void) {
   __enable_irq();
}

void __swi(1) allInterruptsOff (void);
void __SWI_1      (void) {
   __disable_irq();
}


void __swi(2) wDogKickSupr (void);
void __SWI_2      (void) {
   WDFEED = 0xAA;
	 WDFEED = 0x55;
}


